module.exports = "import * as React from 'react';\r\nimport { Persona } from './Persona';\r\n\r\nexport interface IPersonaProps extends React.HTMLProps<Persona> {\r\n  /**\r\n   * Primary text to display, usually the name of the person.\r\n   */\r\n  primaryText?: string;\r\n\r\n  /**\r\n   * Decides the size of the control.\r\n   * @defaultvalue PersonaSize.regular\r\n   */\r\n  size?: PersonaSize;\r\n\r\n  /**\r\n   * If true, adds the css class 'is-fadeIn' to the image.\r\n   */\r\n  imageShouldFadeIn?: boolean;\r\n\r\n  /**\r\n   * Url to the image to use, should be a square aspect ratio and big enough to fit in the image area.\r\n   */\r\n  imageUrl?: string;\r\n\r\n  /**\r\n   * The user's initials to display in the image area when there is no image.\r\n   * @defaultvalue [Derived from primaryText]\r\n   */\r\n  imageInitials?: string;\r\n\r\n  /**\r\n   * The background color when the user's initials are displayed.\r\n   * @defaultvalue [Derived from primaryText]\r\n   */\r\n  initialsColor?: PersonaInitialsColor;\r\n\r\n  /**\r\n   * Presence of the person to display - will not display presence if undefined.\r\n   * @defaultvalue PersonaPresence.none\r\n   */\r\n  presence?: PersonaPresence;\r\n\r\n  /**\r\n   * Secondary text to display, usually the role of the user.\r\n   */\r\n  secondaryText?: string;\r\n\r\n  /**\r\n   * Tertiary text to display, usually the status of the user.\r\n   */\r\n  tertiaryText?: string;\r\n\r\n  /**\r\n   * Optional text to display, usually a custom message set.\r\n   */\r\n  optionalText?: string;\r\n\r\n  /**\r\n   * Whether to not render persona details, and just render the persona image/initials.\r\n   */\r\n  hidePersonaDetails?: boolean;\r\n\r\n  /**\r\n   * Additional CSS class(es) to apply to the Persona\r\n   */\r\n  className?: string;\r\n}\r\n\r\nexport enum PersonaSize {\r\n  tiny,\r\n  extraSmall,\r\n  small,\r\n  regular,\r\n  large,\r\n  extraLarge\r\n}\r\n\r\nexport enum PersonaPresence {\r\n  none,\r\n  offline,\r\n  online,\r\n  away,\r\n  dnd,\r\n  blocked,\r\n  busy\r\n}\r\n\r\nexport enum PersonaInitialsColor {\r\n  lightBlue,\r\n  blue,\r\n  darkBlue,\r\n  teal,\r\n  lightGreen,\r\n  green,\r\n  darkGreen,\r\n  lightPink,\r\n  pink,\r\n  magenta,\r\n  purple,\r\n  black,\r\n  orange,\r\n  red,\r\n  darkRed\r\n}";